6.0.0-git
2019-04-21

[#10342] Activesync only syncs first adressbook
Summary Activesync only syncs first adressbook
Queue Turba
Queue Version 3.0.4
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester Twilek (at) gmx (dot) de
Created 2011-07-14 (2838 days ago)
Due
Updated 2011-07-18 (2834 days ago)
Assigned 2011-07-15 (2837 days ago)
Resolved 2011-07-18 (2834 days ago)
Milestone
Patch No

History
2011-07-18 21:44:46 Git Commit Comment #10 Reply to this comment
Changes have been made in Git for this ticket:

This functionality belongs in *_Application#prefsCallback()
Request: 10342

  4 files changed, 33 insertions(+), 50 deletions(-)
http://git.horde.org/horde-git/-/commit/e1c478959a6a5194385616ba48dee7af5a5dcdf1
2011-07-18 19:02:25 Michael Rubinsky Comment #9
State ⇒ Resolved
Reply to this comment
Implemented for Turba 3.0.5 and Kronolith 3.0.6
2011-07-18 18:59:30 Git Commit Comment #8 Reply to this comment
Changes have been made in Git for this ticket:

add hooks for resetting activesync state if sync related prefs change
Request: 10342

  2 files changed, 51 insertions(+), 0 deletions(-)
http://git.horde.org/horde-git/-/commit/9064ff1be3f0539230d6a0524fdd118db5cdcccf
2011-07-15 17:07:13 Michael Rubinsky Assigned to Michael Rubinsky
 
2011-07-15 17:06:42 Michael Rubinsky Type ⇒ Enhancement
State ⇒ Assigned
Priority ⇒ 1. Low
 
2011-07-15 17:05:52 Michael Rubinsky Comment #7 Reply to this comment
Sounds reasonable. Android can be very finicky with server generated 
resets, and from the OP's comments it looks like iOS might be too 
since he said he tried clearing thestate on the server side already.

Either way, we should do what we can to try and reset it automatically.
2011-07-15 16:20:02 Jan Schneider Comment #6 Reply to this comment
Anytime you change this pref you will need to reset the account 
(same for calendars as well).
Can we implement a preference callback that resets this user's sync states?
2011-07-15 16:04:16 Michael Rubinsky Comment #5
State ⇒ Not A Bug
Reply to this comment
This is expected behaviour and is a side effect of allowing multiple 
address books (and calendars) in a protocol that assumes only one 
source.  The device has no way of knowing that you have added (or 
removed) a new source. Once the account does the initial sync, all 
subsequent changes are determined by looking at the history system. 
Since none of the contacts in the newly added addressbook have been 
marked as changed since the last sync, they will not be synced.

Anytime you change this pref you will need to reset the account (same 
for calendars as well).
2011-07-15 15:51:55 Twilek (at) gmx (dot) de Comment #4 Reply to this comment
The Activsync log didnĀ“t show any errors...
I dont know wether this is an Iphone or Horde Problem, I only could 
get the phone to sync the other adress book after I reset the Device 
in Horde (while having the Iphone turned off) and turned the phone 
back on and forced it to resync (turning contacts sync off and on). 
Then  I got the new Adressbook. Reverting the changes took the same 
complex route. Only changing the prefs does nothing. Even Removing 
the device while the phone is still one will not work.
2011-07-15 15:47:37 Twilek (at) gmx (dot) de Comment #3 Reply to this comment
I dont know wether this is an Iphone or Horde Problem, I only could 
get the phone to sync the other adress book after I reset the Device 
in Horde (while having the Iphone turned off) and turned the phone 
back on and forced it to resync (turning contacts sync off and on). 
Then  I got the new Adressbook. Reverting the changes took the same 
complex route. Only changing the prefs does nothing. Even Removing the 
device while the phone is still one will not work.
2011-07-15 00:21:29 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
works perfectly here.

Check the Horde and ActiveSync logs for errors.
2011-07-14 22:36:46 Twilek (at) gmx (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Activesync only syncs first adressbook
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
I use activesync with an Iphone. No matter which adressbooks I select 
for external sync it only syncs the first one. This happens for all 
users

Saved Queries